using System;
using Microsoft.Data.Entity;
using Microsoft.Data.Entity.Metadata;
using Microsoft.Data.Entity.Relational.Migrations.Infrastructure;
using WebApplicationDemo.Models;

namespace WebApplicationDemo.Migrations
{
    [ContextType(typeof(PersonContext))]
    partial class PersonContextModelSnapshot : ModelSnapshot
    {
        public override void BuildModel(ModelBuilder builder)
        {
            builder
                .Annotation("SqlServer:DefaultSequenceName", "DefaultSequence")
                .Annotation("SqlServer:Sequence:.DefaultSequence", "'DefaultSequence', '', '1', '10', '', '', 'Int64', 'False'")
                .Annotation("SqlServer:ValueGeneration", "Sequence");
            
            builder.Entity("WebApplicationDemo.Models.Person", b =>
                {
                    b.Property<int>("PersonId")
                        .GenerateValueOnAdd()
                        .StoreGeneratedPattern(StoreGeneratedPattern.Identity);
                    
                    b.Property<DateTime?>("DateAdded");
                    
                    b.Property<string>("FirstName")
                        .Required()
                        .Annotation("MaxLength", 30);
                    
                    b.Property<string>("LastName")
                        .Required()
                        .Annotation("MaxLength", 30);
                    
                    b.Key("PersonId");
                    
                    b.Annotation("SqlServer:TableName", "Person");
                });
        }
    }
}
