﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNet.Mvc;
using WebApplicationDemo.Models;

namespace WebApplicationDemo.Controllers
{
    [Route("api/[controller]")]
    public class PersonsController : Controller
    {
        PersonContext _ctx;
        public PersonsController(PersonContext ctx)
        {
            _ctx = ctx;
        }

        // GET: api/values
        [HttpGet]
        public IEnumerable<Person> Get()
        {
            return _ctx.People.OrderBy(p => p.LastName);
        }


    }
}
